- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Level::VTag Struct Reference

`#include <level.h>`

## Public Types
typedef unsigned short | VTagSize

## Public Member Functions
| VTag ()
void | clear ()

## Public Attributes
VTagSize | _nonManifold: 1
VTagSize | _xordinary: 1
VTagSize | _boundary: 1
VTagSize | _corner: 1
VTagSize | _infSharp: 1
VTagSize | _semiSharp: 1
VTagSize | _semiSharpEdges: 1
VTagSize | _rule: 4
VTagSize | _incomplete: 1

## Detailed Description

Definition at line 97 of file level.h.

## Member Typedef Documentation

typedef unsigned short VTagSize

Definition at line 105 of file level.h.

## Constructor & Destructor Documentation

VTag | ( |  | ) |
| inline

Definition at line 98 of file level.h.

## Member Function Documentation

void clear | ( |  | ) |
| inline

Definition at line 103 of file level.h.

## Member Data Documentation

VTagSize _boundary

Definition at line 109 of file level.h.

VTagSize _corner

Definition at line 110 of file level.h.

VTagSize _incomplete

Definition at line 115 of file level.h.

VTagSize _infSharp

Definition at line 111 of file level.h.

VTagSize _nonManifold

Definition at line 107 of file level.h.

VTagSize _rule

Definition at line 114 of file level.h.

VTagSize _semiSharp

Definition at line 112 of file level.h.

VTagSize _semiSharpEdges

Definition at line 113 of file level.h.

VTagSize _xordinary

Definition at line 108 of file level.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/level.h